Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.actions
Class CopyToIfsAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.actions.LibrarySessionAction
              oracle.ifs.admin.actions.CopyToIfsAction

All Implemented Interfaces:
  Action, IfsParameters

    public class CopyToIfsAction

extends LibrarySessionAction

Copies a file or directory (recursively) into iFS.

CopyToIfsAction defines five options:
source
destination
language
encoding
acltype

(Unpublished)
Modified:
  sgarg 06/19/2001 Fix for bug# 1838699., lsaenz 02/12/2001 Added language and encoding options., lsaenz 11/07/2000 Changed to use options rather than members., lsaenz 08/17/2000 Created.

Field Summary
`static java.lang.String` | `ACLTYPE` The ACL type ("Private", "Public", "Published" etc.) to use when creating Document.
`static java.lang.String` | `DESTINATION` The destination in iFS into which to copy the file or directory.
`static java.lang.String` | `ENCODING` The encoding (character set) to use when indexing Document contents.
`static java.lang.String` | `LANGUAGE` The Oracle language name to use when indexing Document contents.
`static java.lang.String` | `SOURCE` The source file or directory (on the local filesystem) to copy into iFS.

Fields inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`RESTART_SERVICE`

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Fields inherited from interface oracle.ifs.utils.common.IfsParameters
`APPEND_LOG, DATABASE_URL, DB_USER_NAME, DB_USER_PASSWORD, DOMAIN_TYPE, ENABLE_SSL_SUPPORT, FOR_SCHEMA_UPGRADE, IFS_DOMAIN_DISPLAY_NAME, IFS_DOMAIN_NAME, IFS_SCHEMA_NAME, IFS_SCHEMA_PASSWORD, IFS_SERVICE_NAME, IFS_USER_NAME, IFS_USER_PASSWORD, INCLUDE_PATH, INITIAL_CONTEXT_FACTORY, LDAP_URL_DAS_LOOKUP, LDAP_USER_NAME, LDAP_USER_PASSWORD, OUTPUT_FILE, PARAMETER_FILE, REGISTRY, SCHEMA_VERSION_KEY, SECURITY_PROTOCOL_NAME, SERVICE_CONFIGURATION_NAME`

Constructor Summary
`CopyToIfsAction()` Creates a new CopyToIfsAction without specifying a source file/directory or a target location.

Method Summary
`void` | `execute(LibrarySession sess)` Copies the source file or directory into the specified destination in iFS.
`void` | `failed(java.lang.Throwable error)` Does nothing.
`void` | `setACLType(java.lang.String aclType)` Sets the ACL type to use when creating Documents.
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding (character set) to use when indexing Document contents.
`void` | `setLanguage(java.lang.String language)` Sets the Oracle language name to use when indexing Document contents.
`void` | `setLocation(java.lang.String destination)` Sets the destination in iFS where the source file or directory should be copied to.
`void` | `setSource(java.lang.String source)` Sets the source file or directory to copy to iFS.
`void` | `stop()` Does nothing.

Methods inherited from class oracle.ifs.admin.actions.LibrarySessionAction
`perform, setDomain, setForSchemaUpgrade, setPassword, setRestartService, setSchemaPassword, setUser`

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOURCE

    public static final java.lang.String SOURCE

  Description copied from class: `CopyToIfsAction`
  The source file or directory (on the local filesystem) to copy into iFS. Defined as: "source".

  See Also:
    Constant Field Values

### DESTINATION

    public static final java.lang.String DESTINATION

  Description copied from class: `CopyToIfsAction`
  The destination in iFS into which to copy the file or directory. Defined as: "destination".

  See Also:
    Constant Field Values

### LANGUAGE

    public static final java.lang.String LANGUAGE

  Description copied from class: `CopyToIfsAction`
  The Oracle language name to use when indexing Document contents. Defined as: "language".

  See Also:
    Constant Field Values

### ENCODING

    public static final java.lang.String ENCODING

  Description copied from class: `CopyToIfsAction`
  The encoding (character set) to use when indexing Document contents. Defined as: "encoding".

  See Also:
    Constant Field Values

### ACLTYPE

    public static final java.lang.String ACLTYPE

  Description copied from class: `CopyToIfsAction`
  The ACL type ("Private", "Public", "Published" etc.) to use when creating Document. Defined as: "acltype".

  See Also:
    Constant Field Values

Constructor Detail

### CopyToIfsAction

    public CopyToIfsAction()

  Creates a new CopyToIfsAction without specifying a source file/directory or a target location.

Method Detail

### setSource

    public void setSource(java.lang.String source)

  Description copied from class: `CopyToIfsAction`
  Sets the source file or directory to copy to iFS.

  Parameters:
    `source` - the path (in the local filesystem) of the source file or directory to copy to iFS.

### setLocation

    public void setLocation(java.lang.String destination)

  Description copied from class: `CopyToIfsAction`
  Sets the destination in iFS where the source file or directory should be copied to.

  Parameters:
    `destination` - the path in iFS into which to copy the source file or directory.

### setLanguage

    public void setLanguage(java.lang.String language)

  Description copied from class: `CopyToIfsAction`
  Sets the Oracle language name to use when indexing Document contents.

  Parameters:
    `language` - the Oracle language name to use when indexing Document contents.

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Description copied from class: `CopyToIfsAction`
  Sets the encoding (character set) to use when indexing Document contents.

  Parameters:
    `encoding` - encoding (character set) to use when indexing Document contents.

### setACLType

    public void setACLType(java.lang.String aclType)

  Description copied from class: `CopyToIfsAction`
  Sets the ACL type to use when creating Documents.

  Parameters:
    `aclType` - ACL type ("Private", "Public", "Published" etc.) to use when creating Document.

### execute

    public void execute(LibrarySession sess)
                 throws IfsException,
                        ActionFailedException

  Description copied from class: `CopyToIfsAction`
  Copies the source file or directory into the specified destination in iFS.

  Specified by:
    `execute` in class `LibrarySessionAction`
  Parameters:
    `sess` - the connected LibrarySession (in admin mode if possible).
  Throws:
    `IfsException` - if a database error occurs.
    `ActionFailedException` - if any other error occurs.

### stop

    public void stop()

  Description copied from class: `CopyToIfsAction`
  Does nothing.

### failed

    public void failed(java.lang.Throwable error)

  Description copied from class: `CopyToIfsAction`
  Does nothing.

  Parameters:
    `error` - the error that occurred.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD